Skip to main content
PUT
/
tool-presets
/
{id}
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "tools_config": {},
  "is_platform": true,
  "created_by": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
description
string
tools_config
object

Response

Preset updated

id
string<uuid>
name
string
description
string
tools_config
object

JSONB tool configuration (shell, filesystem, health settings)

is_platform
boolean

Platform presets are immutable and undeletable.

created_by
string | null

Always NULL in Phase 1 (admin-created shared resources).

created_at
string<date-time>
updated_at
string<date-time>